Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
qrs
List QRs
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
import requests

url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs"

headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};

fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "api_version": "v1",
  "data": {
    "qr_codes": [
      {
        "id": "4",
        "token": "qr_4076ad61-75cf-44a3-97a1-b66643ea3bf2",
        "aggregator_merchant_id": "am_be454a50-7612-4dc6-a97e-284ebbe7ae93",
        "type": "DYNAMIC",
        "code": "0002010102122876003285bc899c1dd443e3b3beb24631aef0930108SAFEPAYZ0224PK08ALFH00050010086764445207343434353035865406100.005802PK5921Timeless Designs Code6006Lahore62130509order12348476003285bc899c1dd443e3b3beb24631aef09301367b165d5f-01df-4bfe-81b4-bef010df9",
        "terminal_label": "",
        "reference_label": "",
        "is_deleted": false,
        "created_at": "2025-04-28T10:26:48Z"
      }
    ],
    "count": "7"
  }
}
{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

aggregator_merchant_id
string

Filter QR codes by Safepay aggregator merchant identifier

Example:

"am_be454a50-7612-4dc6-a97e-284ebbe7ae93"

type
enum<string>

Limit results to QR codes of the given type

Available options:
STATIC,
DYNAMIC
Example:

"STATIC"

limit
string

Maximum number of QR codes to include in the response

Example:

"10"

offset
string

Number of QR codes to skip before starting the result set

Example:

"0"

Response

This response contains a paginated list of QR Codes linked to a merchant

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Contains the response data